<template>
  <CCard class="c-card">
    <div class="row">
      <div class="col-sm-3">
        <h4>落札合計額</h4>
      </div>
      <div class="col-sm-3">
        <h4>{{ total }}</h4>
      </div>

      <div class="col-sm-3">
        <h4>落札数</h4>
      </div>
      <div class="col-sm-3">
        <h4>{{ data.length }}</h4>
      </div>
    </div>
  </CCard>
</template>

<style lang="scss" scoped>
  .c-card {
    border: none;
    border-radius: 2px;
    -webkit-box-shadow: 0 1px 4px rgba(0,0,0,0.3);
    box-shadow: 0 1px 4px rgba(0,0,0,0.3);
    padding: 20px;
    margin: 23px 0;
  }
</style>

<script>
export default {
  props: {
    /**
     * Bids item
     */
    data: {
      type: Array,
      default: () => {}
    }
  },

  computed: {
    /**
     * Sum all bids has status is 1
     *
     */
    total () {
      let result = 0
      this.data.forEach((item) => {
        if (item.product.status === 1) {
          result += item.product.current_price
        }
      })
      return result
    }
  }

}
</script>
